Summary:	Graph editor written in Java
Name:		edugraphe
Version:	1.1
Release:	%mkrel 6
Group:		Sciences/Mathematics
License:	GPLv2
# Upstream seems dead, the website does not exist anymore
URL:		http://joel.amblard.pagesperso-orange.fr/prg/edu/index.html
Source0:	%{name}-%{version}.zip
BuildRequires:	java-devel
Requires:	java
BuildArch:	noarch

%description
Easy-to-use graph editor in Java, particularly well suited for educational uses.
It can plot functions and all sorts of curves, numerical sequences, and solve
graphically and numerically some typical problems of secondary education.
Edugraphe is available in English and French.

%files
%{_bindir}/%{name}
%{_javadir}/edugraphe.jar
%{_datadir}/applications/%{name}.desktop

#--------------------------------------------------------------------

%prep
%setup -q

%build
pushd source
sh compile.sh
popd

%install
%__mkdir -p %{buildroot}%{_javadir}
cp source/classes/edugraphe.jar %{buildroot}%{_javadir}

%__mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/bash
java -jar %{_javadir}/%{name}.jar
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# desktop file
%__install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Edugraphe
GenericName=Graph editor written in Java
Comment=Plots functions and numerical sequences
Exec=%{name}
Icon=office-chart-area-focus-peak-node
Terminal=false
Type=Application
Categories=Education;Math;
EOF


%changelog
* Sun Nov 24 2013 akien <akien> 1.1-6.mga4
+ Revision: 552708
- Added icon to desktop file (mga#8423)
- Wrote proper description
- Remove BR on locales-fr
- Made binary executable

* Fri Oct 18 2013 umeabot <umeabot> 1.1-5.mga4
+ Revision: 504055
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1-4.mga3
+ Revision: 349520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 dmorgan <dmorgan> 1.1-3.mga1
+ Revision: 98001
- Fix desktop file
- Make it noarch
- Clean spec file
- Clean spec file
- Clean spec file
- Fix install
- Fix compile of the java code
- Fix compile of the java code
- imported package edugraphe

